Bug 809005 - Yum upgrade looking for non-existing repodata/<hash>-primary.sqlite.bz2
Yum upgrade looking for non-existing repodata/<hash>-primary.sqlite.bz2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 04:16 EDT by David Juran
Modified: 2014-01-21 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from URLGRABBER_DEBUG=1 yum upgrade (7.79 KB, application/x-xz)
2012-04-16 04:17 EDT, David Juran
no flags Details

  None (edit)
Description David Juran 2012-04-02 04:16:40 EDT
Description of problem:
When running yum upgrade, I'm getting the error 

[djuran@localhost logrotate.d]$ sudo yum upgrade
[sudo] password for djuran: 
Loaded plugins: aliases, auto-update-debuginfo, presto, ps, refresh-packagekit, security
http://dl.fedoraproject.org/pub/fedora/linux/updates/16/x86_64/repodata/781bcb50c12c1252a7b84994d6080bc08e8908d150765d6023b37c25702a2e7a-primary.sqlite.bz2: [Errno 14] HTTP Error 404 - Not Found : http://dl.fedoraproject.org/pub/fedora/linux/updates/16/x86_64/repodata/781bcb50c12c1252a7b84994d6080bc08e8908d150765d6023b37c25702a2e7a-primary.sqlite.bz2
Trying other mirror.
Error: failure: repodata/781bcb50c12c1252a7b84994d6080bc08e8908d150765d6023b37c25702a2e7a-primary.sqlite.bz2 from updates: [Errno 256] No more mirrors to try.

I've verified that I can access the repository and there are -primary files available with different hash but not the one my yum is looking for.


Version-Release number of selected component (if applicable):
yum-3.4.3-7.fc16.noarch

How reproducible:
Every time.
Sometimes rm -fR /var/cache/yum/x86_64 helps but today it did not.
Comment 1 Zdeněk Pavlas 2012-04-02 09:01:17 EDT
Hi,

Current http://dl.fedoraproject.org/pub/fedora/linux/updates/16/x86_64/repodata/repomd.xml does not contain that hash.. Can you check if your one does?  If it's reproducible, where is it downloaded from? (export URLGRABBER_DEBUG=1 so you can see mirror selections).
Comment 2 David Juran 2012-04-03 03:24:01 EDT
Today, of course the problem no longer occurs... But I run into this from time to time, so I'm leaving the bug in need-info state and update it when I see it again.
Comment 3 David Juran 2012-04-16 04:15:49 EDT
So today the problem re-occured. Attaching the output of URLGRABBER_DEBUG=1 yum upgrade. Immediately before this command, I've ran "yum clean all"
Comment 4 David Juran 2012-04-16 04:17:47 EDT
Created attachment 577657 [details]
output from URLGRABBER_DEBUG=1 yum upgrade
Comment 5 Zdeněk Pavlas 2012-04-16 10:48:49 EDT
Thanks for the report!  Unfortunately, this is probably the expected behavior.  When new metadata are created, they are distributed asynchronously to mirrors.  The process may take hours, and the old metadata seems to be removed first.

http://dl.fedoraproject.org/pub/fedora/linux/updates/16/x86_64/repodata/repomd.xml

From your log:

< Date: Sun, 15 Apr 2012 20:00:17 GMT
< Last-Modified: Sat, 14 Apr 2012 22:44:15 GMT
(returned repomd file was about 22 hours old)

Currently, I get:

> Date: Mon, 16 Apr 2012 13:30:40 GMT
> Last-Modified: Sun, 15 Apr 2012 23:42:28 GMT
(this references valid metadata files)

I assume that this is expected because when Yum fetches new repomd.xml, it tries to download some of the metadata and if it fails, Yum reverts to the old repomd.xml.  But If you have just cleaned up the metadata cache, this is a fatal error, and all you can do is wait till mirrors are updated.
Comment 6 Fedora Admin XMLRPC Client 2012-04-27 11:27:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-01-16 11:48:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 15:49:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.